System 2.0.0.0 4.0.0.0 System.ValueType

is used by a serializer to announce that one property is related to a property on another object. represents a single relationship between an object and a member that uses in its interactions with a serializer.

Represents a single relationship between an object and a member.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  The object that owns .
  The member which is to be related to .
- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.Design.Serialization.MemberRelationship

  A structure is empty if neither the owner nor the member is assigned.

  Represents the empty member relationship. This field is read-only.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added. To be added.

  Determines whether two instances are equal.

  true if the specified is equal to the current ; otherwise, false.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for this instance.

  A hash code for the current .

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether this relationship is equal to the relationship.

- Property
  2.0.0.0
  4.0.0.0
  System.ComponentModel.MemberDescriptor To be added. To be added.

  Gets the related member.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Tests whether two specified structures are equivalent.

  This operator returns true if the two structures are equal; otherwise, false.

  The structure that is to the left of the equality operator. The structure that is to the right of the equality operator.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Tests whether two specified structures are different.

  This operator returns true if the two structures are different; otherwise, false.

  The structure that is to the left of the inequality operator. The structure that is to the right of the inequality operator.
- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added. To be added.

  Gets the owning object.